com.sun.research.ws.wadl

## Class Grammars

- java.lang.Object
- - com.sun.research.ws.wadl.Grammars

    public class Grammars
    extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://wadl.dev.java.net/2009/02}doc" maxOccurs="unbounded" minOccurs="0"/>
             <element ref="{http://wadl.dev.java.net/2009/02}include" maxOccurs="unbounded" minOccurs="0"/>
             <any processContents='lax' namespace='##other' maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected List<Object>` `any`
`protected List<Doc>` `doc`
`protected List<Include>` `include`

### Constructor Summary

Constructors
Constructor and Description
`Grammars()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Object>` `getAny()` Gets the value of the any property.
`List<Doc>` `getDoc()` Gets the value of the doc property.
`List<Include>` `getInclude()` Gets the value of the include property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### doc

    protected List<Doc> doc

#### include

    protected List<Include> include

#### any

    protected List<Object> any

### Constructor Detail

#### Grammars

    public Grammars()

### Method Detail

#### getDoc

    public List<Doc> getDoc()

Gets the value of the doc property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the doc property.

For example, to add a new item, do as follows:

        getDoc().add(newItem);

Objects of the following type(s) are allowed in the list `Doc`

#### getInclude

    public List<Include> getInclude()

Gets the value of the include property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the include property.

For example, to add a new item, do as follows:

        getInclude().add(newItem);

Objects of the following type(s) are allowed in the list `Include`

#### getAny

    public List<Object> getAny()

Gets the value of the any property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the any property.

For example, to add a new item, do as follows:

        getAny().add(newItem);

Objects of the following type(s) are allowed in the list `Object` `Element`